
Foreman - Bug #23852

Errors on template preview do not properly escape HTML

06/07/2018 04:43 PM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Templates   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5663

  

Description

The error message does not escape any html in it.

Associated revisions

Revision 2eb67104 - 06/11/2018 06:29 AM - Tomer Brisker

Fixes #23852 - Properly escape html in template preview errors

History

#1 - 06/07/2018 04:45 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5663 added

#2 - 06/11/2018 06:29 AM - Ohad Levy

- translation missing: en.field_release set to 353

#3 - 06/11/2018 07:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2eb671043a51619f884cad28f0aae8cffe583aaf.
